;              
CREATE USER IF NOT EXISTS "SA" SALT '7ba3c4419010bd7e' HASH '19aee64df5fa8aa359ec621bfa1197330207035972519da242fb8e0b4d5635fc' ADMIN;          
CREATE MEMORY TABLE "PUBLIC"."MEAL"(
    "MEALID" VARCHAR(255) NOT NULL,
    "MEALNAME" VARCHAR(255),
    "MEALTYPE" VARCHAR2(255),
    "MEALPERIODICITY" NUMBER,
    "MEALLASTDAY" DATE
);    
ALTER TABLE "PUBLIC"."MEAL" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_2" PRIMARY KEY("MEALID");      
-- 12 +/- SELECT COUNT(*) FROM PUBLIC.MEAL;    
INSERT INTO "PUBLIC"."MEAL" VALUES
('e00b84fc-47d1-4ad9-9142-ea8844dd8585', 'Macarrones', 'LUNCH', 3, DATE '2021-06-16'),
('39739222-02c9-4a04-93b7-c7f18cf6ecaa', 'Pollo asado', 'LUNCH', 2, DATE '2021-06-12'),
('c049b162-da20-402f-b2d5-ed783c4b855b', 'Lentejas', 'LUNCH', 3, DATE '2021-06-12'),
('7d1c4913-bfcf-4d13-8b1b-fbbb7439b6c0', STRINGDECODE('Alb\u00f3ndigas'), 'LUNCH', 1, DATE '2021-06-12'),
('346c97ed-fbf3-4375-9123-7e547e86e697', 'Ensalada de pasta', 'LUNCH', 2, DATE '2021-06-16'),
('6a899f31-efc1-4d14-84df-ce9133e2ffcb', 'Pollo empanado', 'DINNER', 1, DATE '2021-06-16'),
('a933f5cd-dd5b-40fc-b147-e85ba11834d3', 'Pescado', 'DINNER', 2, DATE '2021-06-16'),
('03465240-1bb1-46c7-ab99-6fb7bdfd0ca8', 'Tortilla', 'DINNER', 2, DATE '2021-06-16'),
('402fd9fe-cd33-449c-b6f7-3c1f6d8b4860', STRINGDECODE('Guisantes con jam\u00f3n'), 'DINNER', 1, DATE '2021-06-16'),
('5e36b3b0-9a4a-4121-a7da-20de749def51', 'Sandwich Mixto', 'DINNER', 1, NULL),
('f7331278-82cd-4f79-b924-f868f463080b', 'Chuletas', 'DINNER', 2, NULL),
('6d06df4e-84fd-4780-9534-ec7e2100c7e2', 'Cocido', 'LUNCH', 4, DATE '2021-06-16');     
CREATE MEMORY TABLE "PUBLIC"."MEAL_HISTORY"(
    "MEALID" VARCHAR(255) NOT NULL,
    "MEALLASTDAY" DATE NOT NULL
);            
ALTER TABLE "PUBLIC"."MEAL_HISTORY" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_6" PRIMARY KEY("MEALID", "MEALLASTDAY");               
-- 19 +/- SELECT COUNT(*) FROM PUBLIC.MEAL_HISTORY;            
INSERT INTO "PUBLIC"."MEAL_HISTORY" VALUES
('6d06df4e-84fd-4780-9534-ec7e2100c7e2', DATE '2021-06-11'),
('346c97ed-fbf3-4375-9123-7e547e86e697', DATE '2021-06-14'),
('e00b84fc-47d1-4ad9-9142-ea8844dd8585', DATE '2021-06-09'),
('39739222-02c9-4a04-93b7-c7f18cf6ecaa', DATE '2021-06-13'),
('7d1c4913-bfcf-4d13-8b1b-fbbb7439b6c0', DATE '2021-06-10'),
('c049b162-da20-402f-b2d5-ed783c4b855b', DATE '2021-06-09'),
('6a899f31-efc1-4d14-84df-ce9133e2ffcb', DATE '2021-06-12'),
('a933f5cd-dd5b-40fc-b147-e85ba11834d3', DATE '2021-06-09'),
('03465240-1bb1-46c7-ab99-6fb7bdfd0ca8', DATE '2021-06-14'),
('402fd9fe-cd33-449c-b6f7-3c1f6d8b4860', DATE '2021-06-13'),
('5e36b3b0-9a4a-4121-a7da-20de749def51', DATE '2021-06-12'),
('f7331278-82cd-4f79-b924-f868f463080b', DATE '2021-06-09'),
('e00b84fc-47d1-4ad9-9142-ea8844dd8585', DATE '2021-06-16'),
('6d06df4e-84fd-4780-9534-ec7e2100c7e2', DATE '2021-06-16'),
('6a899f31-efc1-4d14-84df-ce9133e2ffcb', DATE '2021-06-16'),
('a933f5cd-dd5b-40fc-b147-e85ba11834d3', DATE '2021-06-16'),
('03465240-1bb1-46c7-ab99-6fb7bdfd0ca8', DATE '2021-06-16'),
('402fd9fe-cd33-449c-b6f7-3c1f6d8b4860', DATE '2021-06-16'),
('346c97ed-fbf3-4375-9123-7e547e86e697', DATE '2021-06-16');              
